<?php
// +----------------------------------------------------------------------
// | API接口核心类
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://xiuxian.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

# Sign签名类
require_once dirname(__FILE__).'/sign.php';
class Api {
    /**
     * 请求的签名
     */
    public static $_sign;


    /**
     * 流程验签
    */
    public static function check($header) {
        # 这里可以加入自己的渠道信息做验证
        # 比如公钥
        # 比如accesstoekn
        if (!empty($header['HTTP_SIGN'])) {
            self::$_sign = $header['HTTP_SIGN'];
        }
    }

    /**
     * 使用JSON格式回调内容
     * @param int $code 状态码
     * @param string $msg 回调描述
     * @param mixed $data 回调内容
    */
    public static function json($code, $msg, $data='') {
        return json_encode([
            'code' => "$code",
            'msg'  => $msg,
            'data' => $data,
        ], JSON_UNESCAPED_UNICODE);
    }

    /**
     * Sign验签
     * @param array $data 请求内容
     * @return bool
    */
    public static function sign_vif($data) {
        if (!empty(self::$_sign)) {
            if (sign::check($data, self::$_sign)) {
                return true;
            }
        }
        return true;
        return self::json(40001, 'Sign签名错误');
    }

    /**
     * 接收数据
     * @return array
    */
    public static function param($request) {
        # 拿出类型
        $type = strtolower($request->server['request_method']);
        # 接收请求数据
        $data = $request->$type;
        return $data;
    }
}