<?php
// +----------------------------------------------------------------------
// | 接口Sign签名生成与验签类
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://xiuxian.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

class sign { 
    /**
     * 生成签名
     * @param array $data 接口提交的参数
     * @return string
    */
    public static function exec($data){
        # 重新排序
        sort($data, SORT_STRING);
        # 转换为json
        $tmpStr = json_encode( $data );
        # 加密
        $tmpStr = sha1( $tmpStr );
        return $tmpStr;
    }

    /**
     * 验签
     * @param array $data 接口提交的参数
     * @param string $sign 验签时的签名内容
     * @return bool
     */
    public static function check($data, $sign=''){
        # 生成签名
        $tmpStr = self::exec($data);
        # 对比两个签名是否一致
        if( $tmpStr == $sign ){
            return true;
        }
        return false;
    }
}
